Capture diagnostics for an Elasticsearch or Kibana resource

  • POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/diagnostics/_capture

Retrieves a diagnostic bundle from an active cluster. To successfully retrieve a diagnostic bundle, the cluster must be responsive.

Query Parameters

mode enum · default: full

Capture mode - whether to obtain all the diagnostics data or the lightweight, essential-only subset of it. Applicable only to Elasticsearch, ignored for any other components which have just one capture mode implemented.

Values: full light

Responses